org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge

## Class AnsibleBridge

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.AnsibleBridge

    public class AnsibleBridge
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AnsibleBridge()`
`AnsibleBridge(String root)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AnsibleWorker` `createWorker(Algorithm algorithm, Cluster dataminerCluster, boolean includeAlgorithmDependencies, String user)`
`Collection<Role>` `generateRoles(Algorithm a, boolean includeAlgorithmDependencies)`
`Collection<Role>` `generateRoles(Dependency d)` Generate all roles for this dependency
`void` `printInventoryByDomainAndSets(Collection<Cluster> clusters)`
`void` `printInventoryBySets(Collection<Cluster> clusters)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnsibleBridge

    public AnsibleBridge()

#### AnsibleBridge

    public AnsibleBridge(String root)

### Method Detail

#### createWorker

    public AnsibleWorker createWorker(Algorithm algorithm,
                                      Cluster dataminerCluster,
                                      boolean includeAlgorithmDependencies,
                                      String user)
                               throws IOException

Throws:
  `IOException`

#### printInventoryByDomainAndSets

    public void printInventoryByDomainAndSets(Collection<Cluster> clusters)

#### printInventoryBySets

    public void printInventoryBySets(Collection<Cluster> clusters)

#### generateRoles

    public Collection<Role> generateRoles(Dependency d)

Generate all roles for this dependency

Parameters:
  `d` -

#### generateRoles

    public Collection<Role> generateRoles(Algorithm a,
                                          boolean includeAlgorithmDependencies)